Subject: Re: vlan 03/07: Add ethtool support

From: Patrick McHardy <[email-masked]>
Date: Tue, 08 Jul 2008 16:01:16 +0200

Ben Hutchings wrote:
> Patrick McHardy wrote:
>   
>> Ben Hutchings wrote:
>>     
>>> I would be surprised if there aren't some NICs that only check frames with
>>> protocol/length set to ETH_P_IP.
>>>       
>> Yes, probably. But this is only informational and it won't be
>> any wronger than on the device itself. So no big deal I'd say,
>> but if you prefer I can also remove the TX csum support.
>>     
>
> As I said there's no way to see which protocols RX csum offload works for
> anyway, so just showing whether it's enabled on the physical device is no
> worse than the current behaviour for physical devices.

I must have misunderstood you then. Thats the way I see
it as well.

>> LRO is currently not supported by the VLAN code, at least
>> not directly (drivers supporting VLAN accel can do VLAN
>> LRO though). So for now it seems useless to add it.
>>     
>
> If the physical device driver is doing VLAN LRO then doesn't it make sense
> to expose this in the VLAN device?
>   

You're right, that makes sense. I'll add a patch to my next update to do
this.